---
title: RTCIceTransport.getSelectedCandidatePair()
slug: Web/API/RTCIceTransport/getSelectedCandidatePair
tags:
  - API
  - Candidates
  - Connectivity
  - Gathering
  - ICE
  - Method
  - Negotiation
  - Pair
  - RTCIceTransport
  - Reference
  - WebRTC
  - WebRTC API
  - getSelectedCandidatePair
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCIceTransport")}} method <code><strong>getSelectedCandidatePair()</strong></code> returns an {{domxref("RTCIceCandidatePair")}} object containing the current best-choice pair of {{Glossary("ICE")}} candidates describing the configuration of the endpoints of the transport.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>candidatePair</em> = <em>RTCIceTransport</em>.getSelectedCandidatePair();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("RTCIceCandidatePair")}} object describing the configurations of the currently-selected candidate pair's two endpoints. {{domxref("RTCIceCandidatePair.local", "local")}} describes the configuration of the local end of the connection, while {{domxref("RTCIceCandidatePair.remote", "remote")}} describes the remote peer's configuration.</p>

<p>The return value is <code>null</code> if no pair of candidates has been selected yet.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>As the ICE agent performs negotiation of a {{domxref("RTCPeerConnection")}}, it gathers and analyzes candidate configurations from each the two peers. As soon as it finds an acceptable matching pair of candidates, meeting the requirements for the connection, a {{event("selectedcandidatepairchange")}} event is fired at the {{domxref("RTCIceTransport")}}. From that time forward, the best matching pair of candidates will always be available by calling <code>getSelectedCandidatePair()</code>.</p>

<p>As ICE negotiation continues, any time a pair of candidates is discovered that is better than the currently-selected pair, the new pair is selected, replacing the previous pairing, and the <code>selectedcandidatepairchange</code> event is fired again.</p>

<div class="note">
<p><strong>Note:</strong> It's possible for one of the configurations in the selected candidate pair to remain unchanged when a new pairing is chosen.</p>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/RTCIceCandidatePair", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('WebRTC 1.0', '#dom-rtcicetransport-getselectedcandidatepair', 'RTCIceTransport.getSelectedCandidatePair()')}}</td>
			<td>{{Spec2('WebRTC 1.0')}}</td>
			<td>Initial specification.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceTransport.getSelectedCandidatePair")}}</p>
